export = googleAuth;
/**
 * SERVER FUNCTION: Login with google Function
 * ==============================================================================
 *
 * @async
 *
 * @param {object} params - main params object
 * @param {string} [params.key] - API full access key
 * @param {string} params.token - Google access token gotten from the client side
 * @param {string} [params.database] - Target database name
 * @param {http.ServerResponse} [params.response] - HTTPS response object
 * @param {string} [params.encryptionKey] - Encryption key
 * @param {string} [params.encryptionSalt] - Encryption salt
 * @param {string[]} [params.additionalFields] - Additional Fields to be added to the user object
 * @param {Object<string,string|number>} [params.additionalData] - Additional Data to by added on creation of User
 * @param {string | number} [params.apiUserID] - API user ID
 * @param {boolean} [params.useLocal] - Whether to use a remote database instead of API
 *
 * @returns { Promise<import("../../package-shared/types").APILoginFunctionReturn> }
 */
declare function googleAuth({ key, token, database, response, encryptionKey, encryptionSalt, additionalFields, additionalData, apiUserID, useLocal, }: {
    key?: string;
    token: string;
    database?: string;
    response?: http.ServerResponse;
    encryptionKey?: string;
    encryptionSalt?: string;
    additionalFields?: string[];
    additionalData?: {
        [x: string]: string | number;
    };
    apiUserID?: string | number;
    useLocal?: boolean;
}): Promise<import("../../package-shared/types").APILoginFunctionReturn>;
import http = require("http");
