export = post;
/**
 * # Make a post request to Datasquirel API
 * @async
 *
 * @param {Object} params - Single object passed
 * @param {string} [params.key] - FULL ACCESS API Key
 * @param {string} [params.database] - Database Name
 * @param {import("../package-shared/types").PostDataPayload | string} params.query - SQL query String or Request Object
 * @param {any[]} [params.queryValues] - Query Values if using "?" placeholders
 * @param {string} [params.tableName] - Name of the table to query
 * @param {boolean} [params.useLocal] - Whether to use a remote database instead of API
 * @param {boolean} [params.user_id] - User ID
 *
 * @returns { Promise<import("../package-shared/types").PostReturn> } - Return Object
 */
declare function post({ key, query, queryValues, database, tableName, useLocal, user_id, }: {
    key?: string;
    database?: string;
    query: import("../package-shared/types").PostDataPayload | string;
    queryValues?: any[];
    tableName?: string;
    useLocal?: boolean;
    user_id?: boolean;
}): Promise<import("../package-shared/types").PostReturn>;
